> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Zero Firm Product Group Limit

> Creates a zero position limit to a specific firm/product group that disables trading for that combination.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json post /rest/firm-product-group-limit
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/firm-product-group-limit:
    post:
      tags:
        - Firm Product Group Limits
      summary: Create Zero Firm Product Group Limit
      description: >-
        Creates a zero position limit to a specific firm/product group that
        disables trading for that combination.
      operationId: createZeroFirmProductGroupLimit
      parameters: []
      requestBody:
        description: Product group limit parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyFirmProductGroupLimitRequest'
        required: false
      responses:
        '200':
          description: Successfully created firm product group limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModifyFirmProductGroupLimitResponse'
        '400':
          description: Invalid firm UUID
        '403':
          description: Insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    ModifyFirmProductGroupLimitRequest:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        product_group:
          allOf:
            - $ref: '#/components/schemas/ProductGroup'
          example: CRYPTO
    ModifyFirmProductGroupLimitResponse:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        product_group:
          allOf:
            - $ref: '#/components/schemas/ProductGroup'
          example: CRYPTO
        trading_disabled:
          type: boolean
          example: true
    ProductGroup:
      type: string
      enum:
        - CURRENCY
        - EQUITY
        - ENERGY
        - METALS
        - INTEREST_RATE
        - AGRICULTURE
        - CRYPTO
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````